# Enum Class DataSeriesType

java.lang.Object
java.lang.Enum<DataSeriesType>
htsjdk.samtools.cram.structure.DataSeriesType

All Implemented Interfaces:
  `Serializable, Comparable<DataSeriesType>, Constable`

public enum DataSeriesType extends Enum<DataSeriesType>
Data series types known to CRAM.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BYTE`
A single signed byte (256 distinct values)
`BYTE_ARRAY`
An array of bytes.
`INT`
A signed integer ~4 billions of them.
`LONG`
A signed long value, 64 bits, too many to count.

## Method Summary

Modifier and Type
Method
Description
`static DataSeriesType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DataSeriesType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BYTE

public static final DataSeriesType BYTE
A single signed byte (256 distinct values)

### INT

public static final DataSeriesType INT
A signed integer ~4 billions of them.

### LONG

public static final DataSeriesType LONG
A signed long value, 64 bits, too many to count.

### BYTE_ARRAY

public static final DataSeriesType BYTE_ARRAY
An array of bytes.

## Method Details

### values

public static DataSeriesType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DataSeriesType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null